Subject: bug#43380: 28.0.50; [PATCH] Set mwheel default scroll value to 1

From: Stefan Kangas <[email-masked]>
Date: Fri, 18 Sep 2020 07:04:18 -0700

Hi Theodor,

Theodor Thornhill <[email-masked]> writes:

> In the spirit of moving towards a more "modern" emacs, I'll address with
> a patch the thing that actually confuses me personally the most.  Also,
> it seems like an (dare I say it) uncontroversial change: set default
> scroll value to 1.  It is mentioned as a small step towards the "smooth"
> scrolling.  Is there some other places that needs to be updated?

Thanks for the patch.

Could you give some additional rationale for this change?  For example,
what does other software do here?  What does other editors do?  In what
way does this help make Emacs behavior less surprising?

Best regards,
Stefan Kangas